package main

import (
	"fmt"

	"github.com/gin-gonic/gin"
)

func main() {
	r := gin.Default()

	r.GET("/user", func(c *gin.Context) {
		// 获取请求信息
		method := c.Request.Method // GET
		path := c.Request.URL.Path // /user

		//打印
		fmt.Printf("Method: %s, Path: %s", method, path)

		// 响应数据
		c.JSON(200, gin.H{"name": "Alice"})
	})

	// 支持多种响应格式
	r.GET("/text", func(c *gin.Context) {
		c.String(200, "Hello, Gin!") // 纯文本
	})

	r.GET("/yaml", func(c *gin.Context) {
		c.YAML(200, gin.H{
			"name": "Bob",
			"age":  30,
		}) // YAML 格式
	})

	r.Run(":9999")
}
